const Generator = require('yeoman-generator');

module.exports = class extends Generator {
	prompting() {
		// 这里可以输出多个 input
		// 当前案例中值获取了项目名称
		return this.prompt([
			{
				type: 'input',
				name: 'name',
				message: '请输入项目名',
				default: this.appname,
			},
		]).then(answers => {
			this.answers = answers;
		});
	}

	writing() {
		// copyTpl（from,to,context,templateOption,copyOption）将模板复制到指定的目录中
		// this.templatePath() 寻找./templates下的文件夹下的内容
		// this.destinationPath(this.answer.name):以项目名作为生成的文件夹名（当然有默认的 this.appname(这里就是执行yo的所在文件夹名)）
		// globOptions dot默认是false 会忽略点文件
		this.fs.copyTpl(
			this.templatePath(),
			this.destinationPath(),
			this.answers,
			{},
			{
				globOptions: {
					dot: true,
				},
			}
		);
	}
};
