import Cookie from 'js-cookie'
import { request } from '@/utils/request'
import { getQueryObject } from '@/utils'
// FaceBook像素
const facebookPixelId = import.meta.env.VITE_FACEBOOK_PIXEL_ID
// Tiktok像素
const tiktokPixelId = import.meta.env.VITE_TIKTOK_PIXEL_ID

const base = '/activity'

const query = getQueryObject()

export const activityFbPixelPost = data => {
    const fbc = Cookie.get('_fbp')
    const fbp = Cookie.get('_fbc')
    return request({
        url: `${base}/fb_pixel_post`,
        method: 'post',
        data: {
            pixel_id: facebookPixelId,
            fbc,
            fbp,
            ...data,
        },
    })
}

export const activityTiktokPixelPost = data => {
    const ttclid = query.ttclid || ''
    return request({
        url: `${base}/tiktok_pixel_post`,
        method: 'post',
        data: {
            pixel_id: tiktokPixelId,
            ttclid,
            ...data,
        },
    })
}
