// 谷歌像素
import { activityFbPixelPost, activityTiktokPixelPost } from '@/api/activity'

const googleAnalyticsManagerId = import.meta.env.VITE_GOOGLE_ANALYTICS_MANAGER_ID
const googleAnalyticsPreOrderBtnEvent = import.meta.env.VITE_GOOGLE_ANALYTICS_PRE_ORDER_BTN_EVENT
const googleAnalyticsPreOrderBtnLabel = import.meta.env.VITE_GOOGLE_ANALYTICS_PRE_ORDER_BTN_LABEL
const googleAnalyticsIosStoreBtnEvent = import.meta.env.VITE_GOOGLE_ANALYTICS_IOS_STORE_BTN_EVENT
const googleAnalyticsIosStoreBtnLabel = import.meta.env.VITE_GOOGLE_ANALYTICS_IOS_STORE_BTN_LABEL
const googleAnalyticsAndroidStoreBtnEvent = import.meta.env.VITE_GOOGLE_ANALYTICS_ANDROID_STORE_BTN_EVENT
const googleAnalyticsAndroidStoreBtnLabel = import.meta.env.VITE_GOOGLE_ANALYTICS_ANDROID_STORE_BTN_LABEL

export const preOrderBtnReport = () => {
    gtag('event', googleAnalyticsPreOrderBtnEvent, {
        send_to: googleAnalyticsManagerId,
        event_label: googleAnalyticsPreOrderBtnLabel,
    })
    activityFbPixelPost({
        event_name: 'CompleteRegistration',
    })
    activityTiktokPixelPost({
        event: 'CompleteRegistration',
    })
}

export const iosStoreBtnReport = () => {
    gtag('event', googleAnalyticsIosStoreBtnEvent, {
        send_to: googleAnalyticsManagerId,
        event_label: googleAnalyticsIosStoreBtnLabel,
    })
    activityFbPixelPost({
        event_name: 'ViewContent',
    })
    activityTiktokPixelPost({
        event: 'ClickButton',
    })
}

export const androidStoreBtnReport = () => {
    gtag('event', googleAnalyticsAndroidStoreBtnEvent, {
        send_to: googleAnalyticsManagerId,
        event_label: googleAnalyticsAndroidStoreBtnLabel,
    })
    activityFbPixelPost({
        event_name: 'Subscribe',
    })
    activityTiktokPixelPost({
        event: 'InitiateCheckout',
    })
}
