// swiper 额外组件配置
import SwiperCore, { Navigation, Pagination, Autoplay, Mousewheel,EffectCoverflow } from 'swiper'

// swiper 单独样式 （less / scss）
import 'swiper/scss'
import 'swiper/scss/navigation'
import 'swiper/scss/pagination'
import 'swiper/css/effect-coverflow'

// swiper 必备组件
import { Swiper, SwiperSlide } from 'swiper/vue'

// 使用额外组件
SwiperCore.use([Navigation, Pagination, Autoplay, Mousewheel, EffectCoverflow])

// 全局注册 swiper 必备组件
const plugins = [Swiper, SwiperSlide]

const swiper = {
    install: function (app) {
        plugins.forEach(item => {
            app.component(item.name, item)
        })
    },
}

export default swiper
