import { createRouter, createWebHashHistory } from 'vue-router'
import nprogress from 'nprogress'
import 'nprogress/nprogress.css'
const routes = [
    {
        path: '/',
        component: () => import('/src/layout/index.vue'),
        children: [{ path: '/', component: () => import('/src/pages/index.vue') }],
    },
]

const router = createRouter({
    history: createWebHashHistory(),
    routes,
    // 是否应该禁止尾部斜杠。默认为假
    // strict: true,
    scrollBehavior: () => ({ left: 0, top: 0 }),
})
router.beforeEach((to, from, next) => {
    nprogress.start()
    next()
})
router.afterEach(to => {
    nprogress.done()
})

export default router
